package com.fjhx.email.entity.dto;


import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import java.util.List;

@Configuration
public class MailSyncInfo {

    /**
     * 至少要等待多久才会开启下一轮邮件同步
     */
    public static Long minWaitingTime;

    /**
     * 初始化同步天数
     */
    public static Integer initDay;

    /**
     * 多少分钟没同步完成则开启下一轮同步
     */
    public static Integer awaitTimeout;

    /**
     * 超过多少次后将不再同步此邮箱
     */
    public static Integer errorNumber;

    /**
     * 类型：1国内 2国外
     */
    public static Integer mailType;

    /**
     * 调用主服务url前缀
     */
    public static String urlPrefix;

    /**
     * 需要同步的邮箱账号
     */
    public static List<MailboxInfo> mailboxInfoList;

    @Value("${mail.minWaitingTime}")
    public void setMinWaitingTime(Long minWaitingTime) {
        MailSyncInfo.minWaitingTime = minWaitingTime * 1000;
    }

    @Value("${mail.initDay}")
    public void setInitDay(Integer initDay) {
        MailSyncInfo.initDay = initDay;
    }

    @Value("${mail.awaitTimeout}")
    public void setAwaitTimeout(Integer awaitTimeout) {
        MailSyncInfo.awaitTimeout = awaitTimeout;
    }

    @Value("${mail.errorNumber}")
    public void setErrorNumber(Integer errorNumber) {
        MailSyncInfo.errorNumber = errorNumber;
    }

    @Value("${mail.mailType}")
    public void setMailType(Integer mailType) {
        MailSyncInfo.mailType = mailType;
    }

    @Value("${mail.urlPrefix}")
    public void setUrlPrefix(String urlPrefix) {
        MailSyncInfo.urlPrefix = urlPrefix;
    }

}
