package com.fjhx.email.entity.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class MessageDetailVo {

    /**
     * 内容
     */
    private String content;

    /**
     * 类型
     */
    private String mimeType;

    /**
     * 邮件关联地址
     */
    List<MessageAddress> messageAddressList;

    /**
     * 附件
     */
    List<MessageAttachment> messageAttachmentList;

    @Getter
    @Setter
    public static class MessageAddress {

        /**
         * 类型 1收件人(to) 2抄送人(cc) 3密送人(bcc) 4回复人(replyTo)
         */
        private Integer type;

        /**
         * email地址
         */
        private String email;

        /**
         * email名称
         */
        private String personalName;

    }

    @Getter
    @Setter
    public static class MessageAttachment {

        /**
         * 附件名称
         */
        private String name;

        /**
         * 附件url
         */
        private String url;

    }

}
